<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">
    <h:head>
    </h:head>
    <h:body>
        <p:fileUpload fileUploadListener="#{comparePOM.handleFileUpload}" auto="true"
                      allowTypes="/pom.xml$/" mode="advanced" dragDropSupport="false" multiple="true"
                      update=":form:message :form:uploadedFilesTable :form:display:fileOne :form:display:fileTwo"></p:fileUpload>
        <h:panelGrid columns="6">
            <p:commandButton value="Compare Diff" actionListener="#{comparePOM.compareDiffPlugin}" 
                             style="width: 180px;" update=":form:display:compareOutput"/>
            <p:commandButton value="Compare Full Diff" actionListener="#{comparePOM.compareFullDiffPlugin}" 
                             style="width: 180px;"  update=":form:display:compareOutput"/>
            <p:commandButton value="Clear" actionListener="#{comparePOM.clear}" style="width: 180px;"
                             update=":form:display:compareOutput"/>
            <p:commandButton value="Reset" actionListener="#{comparePOM.reset}" style="width: 180px;"
                             update=":form:display:compareOutput :form:display:fileOne :form:display:fileTwo :form:uploadedFilesTable"/>
            <p:commandButton value="First POM" actionListener="#{comparePOM.reset}" style="width: 180px;"
                             update=":form:display:compareOutput :form:display:fileOne :form:display:fileTwo :form:uploadedFilesTable"/>
            <p:commandButton value="Second POM" actionListener="#{comparePOM.reset}" style="width: 180px;"
                             update=":form:display:compareOutput :form:display:fileOne :form:display:fileTwo :form:uploadedFilesTable"/>

        </h:panelGrid>
    </h:body>
</html>

